# Uses of Interface
javax.swing.text.Style

Packages that use Style
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of Style in javax.swing

Methods in javax.swing that return Style
Modifier and Type
Method
Description
`Style`
JTextPane.`addStyle(String nm, Style parent)`
Adds a new style into the logical style hierarchy.
`Style`
JTextPane.`getLogicalStyle()`
Fetches the logical style assigned to the paragraph represented by the current position of the caret, or `null`.
`Style`
JTextPane.`getStyle(String nm)`
Fetches a named non-`null` style previously added.
Methods in javax.swing with parameters of type Style
Modifier and Type
Method
Description
`Style`
JTextPane.`addStyle(String nm, Style parent)`
Adds a new style into the logical style hierarchy.
`void`
JTextPane.`setLogicalStyle(Style s)`
Sets the logical style to use for the paragraph at the current caret position.

## Uses of Style in javax.swing.text

Classes in javax.swing.text that implement Style
Modifier and Type
Class
Description
`class`
`StyleContext.NamedStyle`
A collection of attributes, typically used to represent character and paragraph styles.
Methods in javax.swing.text that return Style
Modifier and Type
Method
Description
`Style`
DefaultStyledDocument.`addStyle(String nm, Style parent)`
Adds a new style into the logical style hierarchy.
`Style`
StyleContext.`addStyle(String nm, Style parent)`
Adds a new style into the style hierarchy.
`Style`
StyledDocument.`addStyle(String nm, Style parent)`
Adds a new style into the logical style hierarchy.
`Style`
DefaultStyledDocument.`getLogicalStyle(int p)`
Fetches the logical style assigned to the paragraph represented by the given position.
`Style`
StyledDocument.`getLogicalStyle(int p)`
Gets a logical style for a given position in a paragraph.
`Style`
DefaultStyledDocument.`getStyle(String nm)`
Fetches a named style previously added.
`Style`
StyleContext.`getStyle(String nm)`
Fetches a named style previously added to the document
`Style`
StyledDocument.`getStyle(String nm)`
Fetches a named style previously added.
Methods in javax.swing.text with parameters of type Style
Modifier and Type
Method
Description
`Style`
DefaultStyledDocument.`addStyle(String nm, Style parent)`
Adds a new style into the logical style hierarchy.
`Style`
StyleContext.`addStyle(String nm, Style parent)`
Adds a new style into the style hierarchy.
`Style`
StyledDocument.`addStyle(String nm, Style parent)`
Adds a new style into the logical style hierarchy.
`void`
DefaultStyledDocument.`setLogicalStyle(int pos, Style s)`
Sets the logical style to use for the paragraph at the given position.
`void`
StyledDocument.`setLogicalStyle(int pos, Style s)`
Sets the logical style to use for the paragraph at the given position.
`protected void`
DefaultStyledDocument.`styleChanged(Style style)`
Called when any of this document's styles have changed.
Constructors in javax.swing.text with parameters of type Style
Modifier
Constructor
Description
``
`NamedStyle(String name, Style parent)`
Creates a new named style.
``
`NamedStyle(Style parent)`
Creates a new named style.

## Uses of Style in javax.swing.text.html

Methods in javax.swing.text.html that return Style
Modifier and Type
Method
Description
`Style`
StyleSheet.`getRule(String selector)`
Fetches the rule that best matches the selector given in string form.
`Style`
StyleSheet.`getRule(HTML.Tag t, Element e)`
Fetches the style to use to render the given type of HTML tag.